Bug 742699 - [abrt] xen-4.1.1-3.fc16: image.py:46:<module>:Error: (1, 'Internal error', 'xc_interface_open failed: Permission denied')
[abrt] xen-4.1.1-3.fc16: image.py:46:<module>:Error: (1, 'Internal error', 'x...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xen (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Michael Young
Fedora Extras Quality Assurance
abrt_hash:7b3e98c5f19a39d97b36c2aff3e...
:
: 756499 757336 757462 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-10-01 14:40 EDT by Henry Rust
Modified: 2013-02-11 16:36 EST (History)
18 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-11 16:36:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Henry Rust 2011-10-01 14:40:44 EDT
libreport version: 2.0.5.982
abrt_version:   2.0.4.981
cmdline:        /usr/bin/python /usr/sbin/xend status
comment:        connected to xen in virtual machine manager
event_log:      2011-10-01-18:39:53> Smolt package not installed, can't save profile
executable:     /usr/sbin/xend
kernel:         3.1.0-0.rc8.git0.0.fc16.x86_64
reason:         image.py:46:<module>:Error: (1, 'Internal error', 'xc_interface_open failed: Permission denied')
time:           Sat Oct  1 18:39:11 2011
uid:            1000
username:       henry

backtrace:
:image.py:46:<module>:Error: (1, 'Internal error', 'xc_interface_open failed: Permission denied')
:
:Traceback (most recent call last):
:  File "/usr/sbin/xend", line 16, in <module>
:    from xen.xend.server import SrvDaemon
:  File "/usr/lib64/python2.7/site-packages/xen/xend/server/SrvDaemon.py", line 26, in <module>
:    import relocate
:  File "/usr/lib64/python2.7/site-packages/xen/xend/server/relocate.py", line 28, in <module>
:    from xen.xend import XendDomain
:  File "/usr/lib64/python2.7/site-packages/xen/xend/XendDomain.py", line 36, in <module>
:    from xen.xend import XendOptions, XendCheckpoint, XendDomainInfo
:  File "/usr/lib64/python2.7/site-packages/xen/xend/XendCheckpoint.py", line 20, in <module>
:    from xen.xend import balloon, sxp, image
:  File "/usr/lib64/python2.7/site-packages/xen/xend/image.py", line 46, in <module>
:    xc = xen.lowlevel.xc.xc()
:Error: (1, 'Internal error', 'xc_interface_open failed: Permission denied')
:
:Local variables in innermost frame:
:TMEM_DESTROY_POOL: None
:TRIGGER_POWER: None
:xen: None
:XEN_API_VM_POWER_STATE_SHUTTINGDOWN: None
:TMEM_READ: None
:DOMAIN_SHUTDOWN_REASONS: None
:DOM_STATE_HALTED: None
:TMEM_FLUSH_OBJECT: None
:DOMAIN_CRASH: None
:TRIGGER_RESET: None
:TMEM_NEW_PAGE: None
:TMEMC_FREEZE: None
:platform: None
:TMEM_NEW_POOL: None
:TRIGGER_S3RESUME: None
:string: None
:HVM_PARAM_CALLBACK_IRQ: None
:DUMPCORE_IN_PROGRESS: None
:__file__: None
:DOM_STATE_UNKNOWN: None
:XEN_API_ON_NORMAL_EXIT: None
:VmError: None
:xenopts: None
:signal: None
:XEN_API_VBD_MODE: None
:NR_PCI_DEV: None
:TMEM_CONTROL: None
:x: None
:HVMRequired: None
:osdep: None
:auxbin: None
:TMEM_GET_PAGE: None
:NR_PCI_FUNC: None
:XEN_API_ON_CRASH_BEHAVIOUR: None
:xswatch: None
:XEN_API_VDI_TYPE: None
:LAST_SHUTDOWN_REASON: None
:re: None
:REVERSE_DOMAIN_SHUTDOWN_REASONS: None
:TMEMC_DESTROY: None
:XEN_API_VM_POWER_STATE_SUSPENDED: None
:math: None
:fcntl: None
:__builtins__: {'bytearray': <type 'bytearray'>, 'IndexError': <type 'exceptions.IndexError'>, 'all': <built-in function all>, 'help': Type help() for interactive help, or help(object) for help about object., 'vars': <built-in function vars>, 'SyntaxError': <type 'exceptions.SyntaxError'>, 'unicode': <type 'unicode'>, 'UnicodeDecodeError': <type 'exceptions.UnicodeDecodeError'>, 'memoryview': <type 'memoryview'>, 'isinstance': <built-in function isinstance>, 'copyright': Copyright (c) 2001-2011 Python Software Foundation.
:All Rights Reserved.
:
:Copyright (c) 2000 BeOpen.com.
:All Rights Reserved.
:
:Copyright (c) 1995-2001 Corporation for National Research Initiatives.
:All Rights Reserved.
:
:Copyright (c) 1991-1995 Stichting Mathematisch Centrum, Amsterdam.
:All Rights Reserved., 'NameError': <type 'exceptions.NameError'>, 'BytesWarning': <type 'exceptions.BytesWarning'>, 'dict': <type 'dict'>, 'input': <built-in function input>, 'oct': <built-in function oct>, 'bin': <built-in function bin>, 'SystemExit': <type 'exceptions.SystemExit'>, 'StandardError': <type 'exceptions.StandardError'>, 'format': <built-in function format>, 'repr': <built-in function repr>, 'sorted': <built-in function sorted>, 'False': False, 'RuntimeWarning': <type 'exceptions.RuntimeWarning'>, 'list': <type 'list'>, 'iter': <built-in function iter>, 'reload': <built-in function reload>, 'Warning': <type 'exceptions.Warning'>, '__package__': None, 'round': <built-in function round>, 'dir': <built-in function dir>, 'cmp': <built-in function cmp>, 'set': <type 'set'>, 'bytes': <type 'str'>, 'reduce': <built-in function reduce>, 'intern': <built-in function intern>, 'issubclass': <built-in function issubclass>, 'Ellipsis': Ellipsis, 'EOFError': <type 'exceptions.EOFError'>, 'locals': <built-in function locals>, 'BufferError': <type 'exceptions.BufferError'>, 'slice': <type 'slice'>, 'FloatingPointError': <type 'exceptions.FloatingPointError'>, 'sum': <built-in function sum>, 'getattr': <built-in function getattr>, 'abs': <built-in function abs>, 'exit': Use exit() or Ctrl-D (i.e. EOF) to exit, 'print': <built-in function print>, 'True': True, 'FutureWarning': <type 'exceptions.FutureWarning'>, 'ImportWarning': <type 'exceptions.ImportWarning'>, 'None': None, 'hash': <built-in function hash>, 'ReferenceError': <type 'exceptions.ReferenceError'>, 'len': <built-in function len>, 'credits':     Thanks to CWI, CNRI, BeOpen.com, Zope Corporation and a cast of thousands
:    for supporting Python development.  See www.python.org for more information., 'frozenset': <type 'frozenset'>, '__name__': '__builtin__', 'ord': <built-in function ord>, 'super': <type 'super'>, 'TypeError': <type 'exceptions.TypeError'>, 'license': See http://www.python.org/2.7/license.html, 'KeyboardInterrupt': <type 'exceptions.KeyboardInterrupt'>, 'UserWarning': <type 'exceptions.UserWarning'>, 'filter': <built-in function filter>, 'range': <built-in function range>, 'staticmethod': <type 'staticmethod'>, 'SystemError': <type 'exceptions.SystemError'>, 'BaseException': <type 'exceptions.BaseException'>, 'pow': <built-in function pow>, 'RuntimeError': <type 'exceptions.RuntimeError'>, 'float': <type 'float'>, 'MemoryError': <type 'exceptions.MemoryError'>, 'StopIteration': <type 'exceptions.StopIteration'>, 'globals': <built-in function globals>, 'divmod': <built-in function divmod>, 'enumerate': <type 'enumerate'>, 'apply': <built-in function apply>, 'LookupError': <type 'exceptions.LookupError'>, 'open': <built-in function open>, 'quit': Use quit() or Ctrl-D (i.e. EOF) to exit, 'basestring': <type 'basestring'>, 'UnicodeError': <type 'exceptions.UnicodeError'>, 'zip': <built-in function zip>, 'hex': <built-in function hex>, 'long': <type 'long'>, 'next': <built-in function next>, 'ImportError': <type 'exceptions.ImportError'>, 'chr': <built-in function chr>, 'xrange': <type 'xrange'>, 'type': <type 'type'>, '__doc__': "Built-in functions, exceptions, and other objects.\n\nNoteworthy: None is the `nil' object; Ellipsis represents `...' in slices.", 'Exception': <type 'exceptions.Exception'>, 'tuple': <type 'tuple'>, 'UnicodeTranslateError': <type 'exceptions.UnicodeTranslateError'>, 'reversed': <type 'reversed'>, 'UnicodeEncodeError': <type 'exceptions.UnicodeEncodeError'>, 'IOError': <type 'exceptions.IOError'>, 'hasattr': <built-in function hasattr>, 'delattr': <built-in function delattr>, 'setattr': <built-in function setattr>, 'raw_input': <built-in function raw_input>, 'SyntaxWarning': <type 'exceptions.SyntaxWarning'>, 'compile': <built-in function compile>, 'ArithmeticError': <type 'exceptions.ArithmeticError'>, 'str': <type 'str'>, 'property': <type 'property'>, 'GeneratorExit': <type 'exceptions.GeneratorExit'>, 'int': <type 'int'>, '__import__': <built-in function __import__>, 'KeyError': <type 'exceptions.KeyError'>, 'coerce': <built-in function coerce>, 'PendingDeprecationWarning': <type 'exceptions.PendingDeprecationWarning'>, 'file': <type 'file'>, 'EnvironmentError': <type 'exceptions.EnvironmentError'>, 'unichr': <built-in function unichr>, 'id': <built-in function id>, 'OSError': <type 'exceptions.OSError'>, 'DeprecationWarning': <type 'exceptions.DeprecationWarning'>, 'min': <built-in function min>, 'UnicodeWarning': <type 'exceptions.UnicodeWarning'>, 'execfile': <built-in function execfile>, 'any': <built-in function any>, 'complex': <type 'complex'>, 'bool': <type 'bool'>, 'ValueError': <type 'exceptions.ValueError'>, 'NotImplemented': NotImplemented, 'map': <built-in function map>, 'buffer': <type 'buffer'>, 'max': <built-in function max>, 'object': <type 'object'>, 'TabError': <type 'exceptions.TabError'>, 'callable': <built-in function callable>, 'ZeroDivisionError': <type 'exceptions.ZeroDivisionError'>, 'eval': <built-in function eval>, '__debug__': True, 'IndentationError': <type 'exceptions.IndentationError'>, 'AssertionError': <type 'exceptions.AssertionError'>, 'classmethod': <type 'classmethod'>, 'UnboundLocalError': <type 'exceptions.UnboundLocalError'>, 'NotImplementedError': <type 'exceptions.NotImplementedError'>, 'AttributeError': <type 'exceptions.AttributeError'>, 'OverflowError': <type 'exceptions.OverflowError'>}
:VTPM_DELETE_SCRIPT: None
:HVM_PARAM_ACPI_S_STATE: None
:DOM_STATE_CRASHED: None
:HVM_PARAM_VIRIDIAN: None
:XEN_API_VM_POWER_STATE_HALTED: None
:__name__: None
:XEN_API_ON_CRASH_BEHAVIOUR_LEGACY: None
:DOM_STATES: None
:DOM_STATE_SHUTDOWN: None
:thread: None
:DOM_STATE_SUSPENDED: None
:XS_POOLROOT: None
:XEN_API_VM_POWER_STATE_PAUSED: None
:DOMAIN_HALT: None
:NR_PCI_DEVFN: None
:os: None
:HVM_PARAM_HPET_ENABLED: None
:TRIGGER_TYPE: None
:XendError: None
:DOMAIN_SUSPEND: None
:HVM_PARAM_PAE_ENABLED: None
:HVM_PARAM_BUFIOREQ_PFN: None
:xstransact: None
:HVM_PARAM_STORE_PFN: None
:TMEMC_FLUSH: None
:log: None
:errno: None
:XEN_API_ON_CRASH_BEHAVIOUR_FILTER: None
:TMEMC_QUERY_FREEABLE_MB: None
:DOMAIN_REBOOT: None
:__doc__: None
:oshelp: None
:MINIMUM_RESTART_TIME: None
:XEN_API_VM_POWER_STATE: None
:HVM_PARAM_TIMER_MODE: None
:DEV_MIGRATE_STEP1: None
:DEV_MIGRATE_STEP3: None
:DEV_MIGRATE_STEP2: None
:XEN_API_VBD_TYPE: None
:HVM_PARAM_BUFPIOREQ_PFN: None
:TMEMC_SET_CAP: None
:DEV_MIGRATE_TEST: None
:XS_VMROOT: None
:DOM_STATE_RUNNING: None
:TMEMC_SET_WEIGHT: None
:traceback: None
:XendOptions: None
:utils: None
:HVM_PARAM_STORE_EVTCHN: None
:TRIGGER_INIT: None
:XEN_API_VM_POWER_STATE_UNKNOWN: None
:AUTO_PHP_SLOT: None
:HVM_PARAM_VHPT_SIZE: None
:HVM_PARAM_VPT_ALIGN: None
:DOM_STATES_OLD: None
:RESTART_IN_PROGRESS: None
:__package__: None
:TMEMC_SET_COMPRESS: None
:SHUTDOWN_TIMEOUT: None
:XEN_API_VM_POWER_STATE_CRASHED: None
:XEN_API_VM_POWER_STATE_RUNNING: None
:DOMAIN_POWEROFF: None
:restart_modes: None
:XEN_API_TASK_STATUS_TYPE: None
:glob: None
:TMEMC_LIST: None
:sys: None
:HVM_PARAM_IOREQ_PFN: None
:TMEMC_THAW: None
:TMEM_XCHG: None
:arch: None
:XEN_API_CONSOLE_PROTOCOL: None
:TMEM_WRITE: None
:TMEM_PUT_PAGE: None
:TRIGGER_NMI: None
:DOM_STATE_PAUSED: None
:HVM_PARAM_NVRAM_FD: None
:time: None
:y: None
:TMEM_FLUSH_PAGE: None
Comment 1 Michael Young 2011-10-01 15:12:15 EDT
This may be selinux. I think it blocks some actions between libvirt and xen. Does it work any better if you run setenforce 0 (ie. put selinux in permissive mode) first?
Comment 2 Jon S 2011-10-06 08:25:15 EDT
Package: xen-4.1.1-6.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
opened virt-manager connected to localhost (nothing more)
Comment 3 Jon S 2011-10-06 08:25:45 EDT
Package: xen-4.1.1-6.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
opened virt-manager connected to localhost (nothing more)
Comment 4 Henry Rust 2011-10-06 12:46:00 EDT
(In reply to comment #1)
> This may be selinux. I think it blocks some actions between libvirt and xen.
> Does it work any better if you run setenforce 0 (ie. put selinux in permissive
> mode) first?

No, it doesn't help. I set selinux in permessive mode in /etc/selinux/config so it's already permissive on boot up. I wanted to be sure that all xen services could be started, if selinux was the problem. But this changed nothing, still getting the same error. If I check with getenforce, whetver selinux is really in permissive mode, it tells me: "Permissive".
Comment 5 Marek Michał Mazur 2011-10-06 13:42:02 EDT
Package: xen-4.1.1-6.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
Running virt-manager, then added connection to local xen.
Comment 6 Dario Faggioli 2011-10-15 11:53:35 EDT
Package: xen-4.1.1-6.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
This happens each and every time I start "Virtual Machine Manager" while on Xen. I tried disabling SELinux, but that didn't help either.
Comment 7 Jon S 2011-10-16 06:43:53 EDT
Package: xen-4.1.1-6.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
Know this is already up here... but retested following update to xen.
Still same problem.
Boot machine. Login. Open virt-manager. Connect to localhost xen. Double-click Dom0. Virt-manager crashes and so does xen.
Comment 8 Jerry Amundson 2011-10-25 12:44:36 EDT
Package: xen-4.1.1-8.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
Started virt-manager from the KDE start menu.
Comment 9 Michael Young 2011-10-25 15:20:37 EDT
It looks like virt-manager is trying to run xend as an ordinary user, but xend expects to run as root. It may be possible to get xend to work as another user but some of the things it does will need root permissions to work.
Comment 10 Majid Azimi 2011-11-08 19:46:31 EST
Package: xen-4.1.1-8.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
I started the virt-manager. it asked me to enter root password. I was entering the password that crashed.
Comment 11 oberfaulersgeist 2011-11-09 19:27:13 EST
Package: xen-4.1.1-8.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
when executing "Guest Filesystem Browser" or the virtual machine manager
Comment 12 zhoutaomtv 2011-11-14 18:01:44 EST
Package: xen-4.1.2-1.fc16
Architecture: i686
OS Release: Fedora release 16 (Verne)

Comment
-----
when open virtual machine manager window, the error message will be shown. But I don't feel any affect.
Comment 13 mail 2011-11-19 07:25:27 EST
Package: xen-4.1.2-1.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
Tried starting virt-manager
Comment 14 Michael Young 2011-12-04 16:18:49 EST
You should no longer get a backtrace with xen-4.1.2-2 which hopefully means that virt-manager won't crash.
Comment 15 Michael Young 2011-12-04 16:21:00 EST
*** Bug 756499 has been marked as a duplicate of this bug. ***
Comment 16 Michael Young 2011-12-04 16:22:20 EST
*** Bug 757336 has been marked as a duplicate of this bug. ***
Comment 17 Michael Young 2011-12-04 16:23:36 EST
*** Bug 757462 has been marked as a duplicate of this bug. ***
Comment 18 Fedora Admin XMLRPC Client 2012-05-15 15:37:33 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 19 Fedora End Of Life 2013-01-16 10:08:43 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 20 Cole Robinson 2013-02-11 16:36:13 EST
Sounds like this was fixed in xen 4.1.2-2, so closing.

Note You need to log in before you can comment on or make changes to this bug.